# Introduction to Qt - demonstrating Qt attributes
# by Anthony Vogelaar, Perth Scotland
# rev 0.10  2024-03-31  Initial release

import  os;             os.system('clear')
import  time
from    PySide6.QtCore  import  QObject

# doc Qt widgets    : https://doc.qt.io/qt-6/gallery.html
# doc Qt GUI        : https://wiki.python.org/moin/GuiProgramming
# doc QObject Qt    : https://doc.qt.io/qt-6/qobject.html
# doc QObject PySide: https://doc.qt.io/qtforpython-6/PySide6/QtCore/QObject.html

# ================================ Main ==========================================

def main():
    obj = QObject()
    obj.setObjectName("it's me")
    print('sleep for 2 seconds')
    time.sleep(2)
    print(obj.objectName())


main()

# ================================= End ==========================================
